Package org.bukkit.configuration.serialization

# Annotation Interface DelegateDeserialization

@Retention(RUNTIME) @Target(TYPE) public @interface DelegateDeserialization
Applies to a `ConfigurationSerializable` that will delegate all deserialization to another `ConfigurationSerializable`.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`@NotNull Class<? extends ConfigurationSerializable>`
`value`
Which class should be used as a delegate for this classes deserialization

## Element Details

### value

@NotNull @NotNull Class<? extends ConfigurationSerializable> value
Which class should be used as a delegate for this classes deserialization

Returns:
  Delegate class